/*
 * ObjectsSet.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "ObjectsSet.h"

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < ext::set < object::Object > > ( );
static auto stringReaded = registration::StringReaderRegister < object::Object, ext::set < object::Object > > ( );

static auto stringWriteGroup = registration::StringWriterRegisterTypeInGroup < object::Object, ext::set < object::Object > > ( );
static auto stringReadedGroup = registration::StringReaderRegisterTypeInGroup < object::Object, ext::set < object::Object > > ( );

} /* namespace */
